package com.bwie.send.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.result.Result;
import com.bwie.send.service.SendService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@Log4j2
public class SendController {


    @Autowired
    private SendService sendService;
    @Autowired
    private HttpServletRequest request;

    @GetMapping("send")
    public Result send(){
        log.info("功能名称:xxx,请求URI:{},请求方式:{}",
                request.getRequestURI(),request.getMethod());
        Result result = sendService.send();
        log.info("功能名称:xxx,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));
            return result;
    }
}
